import '../extensions/array';
import { PromiseMaybe } from '../extensions/global';
export declare type EventDefinition = (...args: any[]) => PromiseMaybe;
export declare type Unsubscribe = () => void;
interface IEvent<TEventDefinition extends EventDefinition> {
    invoke: TEventDefinition;
    subscribe(delegate: TEventDefinition): Unsubscribe;
    dispose(): void;
}
export declare function createEvent<TEventDefinition extends EventDefinition>(): IEvent<TEventDefinition>;
export {};
//# sourceMappingURL=createEvent.d.ts.map